Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1teGNjLTdoNW0teDU3cs4AAtsO

Jenkins GitHub plugin uses weak webhook signature function

Jenkins GitHub Plugin 1.34.4 and earlier uses a non-constant time comparison function when checking whether the provided and computed webhook signatures are equal, allowing attackers to use statistical methods to obtain a valid webhook signature. GitHub Plugin 1.34.5 uses a constant-time comparison when validating the webhook signature.

Permalink: https://github.com/advisories/GHSA-mxcc-7h5m-x57r
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1teGNjLTdoNW0teDU3cs4AAtsO
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Low
Classification: General
Published: almost 2 years ago
Updated: 6 months ago


CVSS Score: 3.1
CVSS vector: CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:N/A:N

Identifiers: GHSA-mxcc-7h5m-x57r, CVE-2022-36885
References: Repository: https://github.com/jenkinsci/github-plugin
Blast Radius: 7.6

Affected Packages

maven:com.coravy.hudson.plugins.github:github
Dependent packages: 0
Dependent repositories: 288
Downloads:
Affected Version Ranges: <= 1.34.4
Fixed in: 1.34.5
All affected versions:
All unaffected versions: